import { Component, Input, Output, ElementRef, EventEmitter, AfterViewInit, NgZone, } from '@angular/core';
import * as $ from 'jquery';
import 'fullcalendar';
import { Options } from "fullcalendar";
var CalendarComponent = (function () {
    function CalendarComponent(element, zone) {
        this.element = element;
        this.zone = zone;
        this.initialized = new EventEmitter();
    }
    CalendarComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        setTimeout(function () {
            _this.zone.runOutsideAngular(function () {
                $('angular2-fullcalendar').fullCalendar(_this.options);
                _this.initialized.emit(true);
            });
        }, 100);
    };
    CalendarComponent.prototype.fullCalendar = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (!args) {
            return;
        }
        switch (args.length) {
            case 0:
                return;
            case 1:
                return $(this.element.nativeElement).fullCalendar(args[0]);
            case 2:
                return $(this.element.nativeElement).fullCalendar(args[0], args[1]);
            case 3:
                return $(this.element.nativeElement).fullCalendar(args[0], args[1], args[2]);
        }
    };
    CalendarComponent.decorators = [
        { type: Component, args: [{
                    template: '<div></div>',
                    selector: 'angular2-fullcalendar'
                },] },
    ];
    CalendarComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: NgZone, },
    ]; };
    CalendarComponent.propDecorators = {
        "options": [{ type: Input },],
        "initialized": [{ type: Output },],
    };
    return CalendarComponent;
}());
export { CalendarComponent };
//# sourceMappingURL=calendar.js.map